[Deprecated]: V3.0

get

/ec-designer-svc/rest/v3.0/studies/{studyId}/versions/{version}/forms/randomizationfactors

Deprecated: Use latest version instead. Retrieves stratification factors used in randomization for forms. Use the latest supported version of this endpoint in v17.0 for current behavior and metadata.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
  • FormItemDto v3.0
    Title: FormItemDto v3.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV3", "numeric":"#/components/schemas/FormNumberItemDtoV3", "measurement":"#/components/schemas/FormNumberItemDtoV3", "text":"#/components/schemas/FormTextItemDtoV3", "choice":"#/components/schemas/FormChoiceItemDtoV3" } }
    Form Item Information
Nested Schema : FormItemDto v3.0
Type: object
Title: FormItemDto v3.0
Discriminator: questionType

Discriminator Values

Form Item Information
Show Source
Match One Schema
Show Source
Nested Schema : FormNumberItemDto v3.0
Type: object
Title: FormNumberItemDto v3.0
Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
  • FormItemDto v3.0
    Title: FormItemDto v3.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV3", "numeric":"#/components/schemas/FormNumberItemDtoV3", "measurement":"#/components/schemas/FormNumberItemDtoV3", "text":"#/components/schemas/FormTextItemDtoV3", "choice":"#/components/schemas/FormChoiceItemDtoV3" } }
    Form Item Information
  • FormNumberItemDto v3.0-allOf[1]
Nested Schema : FormChoiceItemDto v3.0
Type: object
Title: FormChoiceItemDto v3.0
Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
  • FormItemDto v3.0
    Title: FormItemDto v3.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV3", "numeric":"#/components/schemas/FormNumberItemDtoV3", "measurement":"#/components/schemas/FormNumberItemDtoV3", "text":"#/components/schemas/FormTextItemDtoV3", "choice":"#/components/schemas/FormChoiceItemDtoV3" } }
    Form Item Information
  • FormChoiceItemDto v3.0-allOf[1]
Nested Schema : FormTextItemDto v3.0
Type: object
Title: FormTextItemDto v3.0
Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
  • FormItemDto v3.0
    Title: FormItemDto v3.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV3", "numeric":"#/components/schemas/FormNumberItemDtoV3", "measurement":"#/components/schemas/FormNumberItemDtoV3", "text":"#/components/schemas/FormTextItemDtoV3", "choice":"#/components/schemas/FormChoiceItemDtoV3" } }
    Form Item Information
  • FormTextItemDto v3.0-allOf[1]
Nested Schema : FormDatetimeItemDto v3.0
Type: object
Title: FormDatetimeItemDto v3.0
Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
  • FormItemDto v3.0
    Title: FormItemDto v3.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV3", "numeric":"#/components/schemas/FormNumberItemDtoV3", "measurement":"#/components/schemas/FormNumberItemDtoV3", "text":"#/components/schemas/FormTextItemDtoV3", "choice":"#/components/schemas/FormChoiceItemDtoV3" } }
    Form Item Information
  • FormDatetimeItemDto v3.0-allOf[1]
Nested Schema : FormNumberItemDto v3.0-allOf[1]
Type: object
Show Source
Nested Schema : FormChoiceItemDto v3.0-allOf[1]
Type: object
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormOptionDto v3.0
Type: object
Title: FormOptionDto v3.0
Form choice item option details
Show Source
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox label for a one specific choice.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Pattern: [a-zA-Z0-9]+
    Form choice selectbox value for a one specific choice.
    Example: 1
Nested Schema : FormTextItemDto v3.0-allOf[1]
Type: object
Show Source
Nested Schema : FormDatetimeItemDto v3.0-allOf[1]
Type: object
Show Source

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : details
Type: object
Back to Top